# Allocations

Group: PSA

[Open in the interactive reference](https://docs.api.lensing.ai/lensing/v1/groups/psa-allocations)

An allocation is planned hours for a team member or placeholder on an activity over a date range.

Each allocation's planned hours are spread over its working days as daily entries. Some errors from creating, updating, or deleting allocations are generic errors without a named code.

## Endpoints

- [List allocations](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/allocations.html): `GET /psa/allocations`
- [Bulk create allocations](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/createAllocations.html): `POST /psa/allocations`
- [Bulk update allocations](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/updateAllocations.html): `PATCH /psa/allocations`
- [Bulk delete allocations](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/deleteAllocations.html): `POST /psa/allocations/bulk-delete`
- [Retrieve an allocation](https://docs.api.lensing.ai/reference/lensing/v1/endpoints/getAllocation.html): `GET /psa/allocations/{id}`
